Index: branches/HiveStatistics/sources/HeuristicLab.Optimization/3.3/Algorithms/UserDefinedAlgorithm.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimization/3.3/Algorithms/UserDefinedAlgorithm.cs	(revision 12440)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimization/3.3/Algorithms/UserDefinedAlgorithm.cs	(revision 12515)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("User-Defined Algorithm", "An algorithm which can be defined by the user.")]
-  [Creatable("Algorithms")]
+  [Creatable(CreatableAttribute.Categories.Algorithms, Priority = 100)]
   [StorableClass]
   public sealed class UserDefinedAlgorithm : EngineAlgorithm, IParameterizedItem, IStorableContent {
Index: branches/HiveStatistics/sources/HeuristicLab.Optimization/3.3/MetaOptimizers/BatchRun.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimization/3.3/MetaOptimizers/BatchRun.cs	(revision 12440)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimization/3.3/MetaOptimizers/BatchRun.cs	(revision 12515)
@@ -36,5 +36,5 @@
   /// </summary>
   [Item("Batch Run", "A run in which an optimizer is executed a given number of times.")]
-  [Creatable("Testing & Analysis")]
+  [Creatable(CreatableAttribute.Categories.TestingAndAnalysis, Priority = 110)]
   [StorableClass]
   public sealed class BatchRun : NamedItem, IOptimizer, IStorableContent {
@@ -237,5 +237,6 @@
         batchRunAction = BatchRunAction.Prepare;
         // a race-condition may occur when the optimizer has changed the state by itself in the meantime
-        try { Optimizer.Prepare(clearRuns); } catch (InvalidOperationException) { }
+        try { Optimizer.Prepare(clearRuns); }
+        catch (InvalidOperationException) { }
       } else {
         ExecutionState = ExecutionState.Stopped;
@@ -249,5 +250,6 @@
       if (Optimizer.ExecutionState == ExecutionState.Stopped) Optimizer.Prepare();
       // a race-condition may occur when the optimizer has changed the state by itself in the meantime
-      try { Optimizer.Start(); } catch (InvalidOperationException) { }
+      try { Optimizer.Start(); }
+      catch (InvalidOperationException) { }
     }
     public void Pause() {
@@ -258,5 +260,6 @@
       if (Optimizer.ExecutionState != ExecutionState.Started) return;
       // a race-condition may occur when the optimizer has changed the state by itself in the meantime
-      try { Optimizer.Pause(); } catch (InvalidOperationException) { }
+      try { Optimizer.Pause(); }
+      catch (InvalidOperationException) { }
     }
     public void Stop() {
@@ -270,5 +273,6 @@
       }
       // a race-condition may occur when the optimizer has changed the state by itself in the meantime
-      try { Optimizer.Stop(); } catch (InvalidOperationException) { }
+      try { Optimizer.Stop(); }
+      catch (InvalidOperationException) { }
     }
 
Index: branches/HiveStatistics/sources/HeuristicLab.Optimization/3.3/MetaOptimizers/Experiment.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimization/3.3/MetaOptimizers/Experiment.cs	(revision 12440)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimization/3.3/MetaOptimizers/Experiment.cs	(revision 12515)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("Experiment", "An experiment which contains multiple algorithms, batch runs or other experiments.")]
-  [Creatable("Testing & Analysis")]
+  [Creatable(CreatableAttribute.Categories.TestingAndAnalysis, Priority = 100)]
   [StorableClass]
   public sealed class Experiment : NamedItem, IOptimizer, IStorableContent {
@@ -180,5 +180,6 @@
       foreach (IOptimizer optimizer in Optimizers.Where(x => x.ExecutionState != ExecutionState.Started)) {
         // a race-condition may occur when the optimizer has changed the state by itself in the meantime
-        try { optimizer.Prepare(clearRuns); } catch (InvalidOperationException) { }
+        try { optimizer.Prepare(clearRuns); }
+        catch (InvalidOperationException) { }
       }
     }
@@ -193,5 +194,6 @@
       if (optimizer != null) {
         // a race-condition may occur when the optimizer has changed the state by itself in the meantime
-        try { optimizer.Start(); } catch (InvalidOperationException) { }
+        try { optimizer.Start(); }
+        catch (InvalidOperationException) { }
       }
     }
@@ -205,5 +207,6 @@
       foreach (IOptimizer optimizer in Optimizers.Where(x => x.ExecutionState == ExecutionState.Started)) {
         // a race-condition may occur when the optimizer has changed the state by itself in the meantime
-        try { optimizer.Pause(); } catch (InvalidOperationException) { }
+        try { optimizer.Pause(); }
+        catch (InvalidOperationException) { }
       }
     }
@@ -218,5 +221,6 @@
         foreach (var optimizer in Optimizers.Where(x => (x.ExecutionState == ExecutionState.Started) || (x.ExecutionState == ExecutionState.Paused))) {
           // a race-condition may occur when the optimizer has changed the state by itself in the meantime
-          try { optimizer.Stop(); } catch (InvalidOperationException) { }
+          try { optimizer.Stop(); }
+          catch (InvalidOperationException) { }
         }
       } else {
Index: branches/HiveStatistics/sources/HeuristicLab.Optimization/3.3/Problems/UserDefinedProblem.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimization/3.3/Problems/UserDefinedProblem.cs	(revision 12440)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimization/3.3/Problems/UserDefinedProblem.cs	(revision 12515)
@@ -38,5 +38,5 @@
   /// </summary>
   [Item("User-Defined Problem", "A problem which can be defined by the user.")]
-  [Creatable("Problems")]
+  [Creatable(CreatableAttribute.Categories.Problems, Priority = 120)]
   [StorableClass]
   public sealed class UserDefinedProblem : ParameterizedNamedItem, ISingleObjectiveHeuristicOptimizationProblem, IStorableContent {
Index: branches/HiveStatistics/sources/HeuristicLab.Optimization/3.3/RunCollection.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Optimization/3.3/RunCollection.cs	(revision 12440)
+++ branches/HiveStatistics/sources/HeuristicLab.Optimization/3.3/RunCollection.cs	(revision 12515)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Run Collection", "Represents a collection of runs.")]
-  [Creatable("Testing & Analysis")]
+  [Creatable(CreatableAttribute.Categories.TestingAndAnalysis, Priority = 120)]
   [StorableClass]
   public class RunCollection : ItemCollection<IRun>, IStringConvertibleMatrix, IStorableContent {