Index: trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApi/DataController.cs
===================================================================
--- trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApi/DataController.cs	(revision 12520)
+++ trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApi/DataController.cs	(revision 12521)
@@ -73,6 +73,6 @@
         var activeSlaves = onlineSlaves.Where(s => s.IsAllowedToCalculate).ToList();
         var calculatingSlaves = activeSlaves.Where(s => s.SlaveState == SlaveState.Calculating).ToList();
-        int calculatingMemory = calculatingSlaves.Any() ? (int)calculatingSlaves.Sum(s => s.Memory) / 1024 : 0;
-        int freeCalculatingMemory = calculatingSlaves.Any() ? (int)calculatingSlaves.Sum(s => s.FreeMemory) / 1024 : 0;
+        int calculatingMemory = calculatingSlaves.Any() ? (int)calculatingSlaves.Sum(s => s.Memory) : 0;
+        int freeCalculatingMemory = calculatingSlaves.Any() ? (int)calculatingSlaves.Sum(s => s.FreeMemory) : 0;
 
         return new DTO.Status {
@@ -95,7 +95,7 @@
           },
           MemoryStatus = new DTO.MemoryStatus {
-            TotalMemory = onlineSlaves.Any() ? (int)onlineSlaves.Sum(s => s.Memory) / 1024 : 0,
-            FreeMemory = onlineSlaves.Any() ? (int)onlineSlaves.Sum(s => s.FreeMemory) / 1024 : 0,
-            ActiveMemory = activeSlaves.Any() ? (int)activeSlaves.Sum(s => s.Memory) / 1024 : 0,
+            TotalMemory = onlineSlaves.Any() ? (int)onlineSlaves.Sum(s => s.Memory) : 0,
+            FreeMemory = onlineSlaves.Any() ? (int)onlineSlaves.Sum(s => s.FreeMemory) : 0,
+            ActiveMemory = activeSlaves.Any() ? (int)activeSlaves.Sum(s => s.Memory) : 0,
             UsedMemory = calculatingMemory - freeCalculatingMemory
           },
@@ -109,6 +109,6 @@
             Cores = x.Cores ?? 0,
             FreeCores = x.FreeCores ?? 0,
-            Memory = (x.Memory ?? 0) / 1024,
-            FreeMemory = (x.FreeMemory ?? 0) / 1024,
+            Memory = x.Memory ?? 0,
+            FreeMemory = x.FreeMemory ?? 0,
             IsAllowedToCalculate = x.IsAllowedToCalculate,
             State = x.SlaveState.ToString()
@@ -149,6 +149,6 @@
                                                              ? statistic.SlaveStatistics.Average(x => x.CpuUtilization)
                                                              : 0.0;
-          status.MemoryStatus.TotalMemory += statistic.SlaveStatistics.Sum(x => x.Memory) / 1024;
-          freeMemory += statistic.SlaveStatistics.Sum(x => x.FreeMemory) / 1024;
+          status.MemoryStatus.TotalMemory += statistic.SlaveStatistics.Sum(x => x.Memory);
+          freeMemory += statistic.SlaveStatistics.Sum(x => x.FreeMemory);
           if (i >= increment) {
             status.Timestamp = JavascriptUtils.ToTimestamp(statistic.Timestamp);
Index: trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/history/historyCtrl.js
===================================================================
--- trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/history/historyCtrl.js	(revision 12520)
+++ trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/history/historyCtrl.js	(revision 12521)
@@ -39,4 +39,5 @@
                 }
             };
+
 
             $scope.fromDate = new Date();
@@ -81,6 +82,6 @@
                         coreSeries[0].push([curStatus.Timestamp, curStatus.CoreStatus.ActiveCores]);
                         coreSeries[1].push([curStatus.Timestamp, curStatus.CoreStatus.CalculatingCores]);
-                        memorySeries[0].push([curStatus.Timestamp, curStatus.MemoryStatus.ActiveMemory]);
-                        memorySeries[1].push([curStatus.Timestamp, curStatus.MemoryStatus.UsedMemory]);
+                        memorySeries[0].push([curStatus.Timestamp, Math.round(curStatus.MemoryStatus.ActiveMemory / 1024)]);
+                        memorySeries[1].push([curStatus.Timestamp, Math.round(curStatus.MemoryStatus.UsedMemory / 1024)]);
                     }
                     $scope.cpuSeries = [{ data: cpuSeries, label: "&nbsp;CPU Utilization", color: "#f7921d" }];
Index: trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/status/status.cshtml
===================================================================
--- trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/status/status.cshtml	(revision 12520)
+++ trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/status/status.cshtml	(revision 12521)
@@ -80,13 +80,13 @@
                     <tr data-toggle="tooltip" data-placement="bottom" title="All online slaves">
                         <td class="text-left">Total:</td>
-                        <td class="text-right">{{status.MemoryStatus.TotalMemory | number}} GB</td>
+                        <td class="text-right">{{status.MemoryStatus.TotalMemory | toGB}}</td>
                     </tr>
                     <tr data-toggle="tooltip" data-placement="bottom" title="All calculating and idle slaves that are allowed to calculate">
                         <td class="text-left">Active:</td>
-                        <td class="text-right">{{status.MemoryStatus.ActiveMemory | number}} GB</td>
+                        <td class="text-right">{{status.MemoryStatus.ActiveMemory | toGB}}</td>
                     </tr>
                     <tr data-toggle="tooltip" data-placement="bottom" title="All calculating slaves that are allowed to calculate">
                         <td class="text-left">Calculating:</td>
-                        <td class="text-right">{{status.MemoryStatus.UsedMemory | number}} GB</td>
+                        <td class="text-right">{{status.MemoryStatus.UsedMemory | toGB}}</td>
                     </tr>
                 </table>
@@ -234,5 +234,5 @@
                             <td>{{slave.CpuUtilization | number: 2}} %</td>
                             <td>{{slave.Cores | number}}</td>
-                            <td>{{slave.Memory | number}} GB</td>
+                            <td>{{slave.Memory | toGB}}</td>
                         </tr>
                         <tr ng-hide="activeCalculatingSlaves.length">
@@ -292,5 +292,5 @@
                             <td>{{slave.CpuUtilization | number: 2}} %</td>
                             <td>{{slave.Cores | number}}</td>
-                            <td>{{slave.Memory | number}} GB</td>
+                            <td>{{slave.Memory | toGB}}</td>
                         </tr>
                         <tr ng-hide="activeIdleSlaves.length">
@@ -349,5 +349,5 @@
                             <td>{{slave.CpuUtilization | number: 2}} %</td>
                             <td>{{slave.Cores | number}}</td>
-                            <td>{{slave.Memory | number}} GB</td>
+                            <td>{{slave.Memory | toGB}}</td>
                         </tr>
                         <tr ng-hide="inactiveSlaves.length">
Index: trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/status/statusCtrl.js
===================================================================
--- trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/status/statusCtrl.js	(revision 12520)
+++ trunk/sources/HeuristicLab.Services.WebApp.Status/3.3/WebApp/status/statusCtrl.js	(revision 12521)
@@ -148,6 +148,6 @@
                     coreSeries[0].push([$scope.status.Timestamp, status.CoreStatus.TotalCores]);
                     coreSeries[1].push([$scope.status.Timestamp, usedCores]);
-                    memorySeries[0].push([$scope.status.Timestamp, status.MemoryStatus.TotalMemory]);
-                    memorySeries[1].push([$scope.status.Timestamp, usedMemory]);
+                    memorySeries[0].push([$scope.status.Timestamp, Math.round(status.MemoryStatus.TotalMemory / 1024)]);
+                    memorySeries[1].push([$scope.status.Timestamp, Math.round(usedMemory / 1024)]);
                     $scope.cpu.series = [{ data: cpuSeries, label: "&nbsp;CPU Utilization", color: "#f7921d" }];
                     $scope.core.series = [
@@ -170,6 +170,6 @@
                     var noOfStatus = status.length;
                     var cpuSeries = [];
-                    var coreSeries = [[],[]];
-                    var memorySeries = [[],[]];
+                    var coreSeries = [[], []];
+                    var memorySeries = [[], []];
                     for (var i = 0; i < noOfStatus; ++i) {
                         var curStatus = status[i];
@@ -178,6 +178,6 @@
                         coreSeries[0].push([curStatus.Timestamp, curStatus.CoreStatus.ActiveCores]);
                         coreSeries[1].push([curStatus.Timestamp, curStatus.CoreStatus.CalculatingCores]);
-                        memorySeries[0].push([curStatus.Timestamp, curStatus.MemoryStatus.ActiveMemory]);
-                        memorySeries[1].push([curStatus.Timestamp, curStatus.MemoryStatus.UsedMemory]);
+                        memorySeries[0].push([curStatus.Timestamp, Math.round(curStatus.MemoryStatus.ActiveMemory / 1024)]);
+                        memorySeries[1].push([curStatus.Timestamp, Math.round(curStatus.MemoryStatus.UsedMemory / 1024)]);
                     }
                     $scope.cpu.series = [{ data: cpuSeries, label: "&nbsp;CPU Utilization", color: "#f7921d" }];
@@ -202,3 +202,12 @@
         }]
     );
+
+    module.filter('toGB', function () {
+        return function (text, length, end) {
+            if (text == null || text == '') text = '0';
+            text = Math.round(parseInt(text) / 1024);
+            return text + ' GB';
+        };
+    });
+
 })();