Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/Controllers/DataTransfer/Plugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/Controllers/DataTransfer/Plugin.cs	(revision 12522)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/Controllers/DataTransfer/Plugin.cs	(revision 12523)
@@ -28,4 +28,5 @@
     public DateTime? LastReload { get; set; }
     public int Reloads { get; set; }
+    public string Exception { get; set; }
   }
 }
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/Controllers/PluginController.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/Controllers/PluginController.cs	(revision 12522)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/Controllers/PluginController.cs	(revision 12523)
@@ -38,5 +38,6 @@
         Name = plugin.Name,
         AssemblyName = plugin.AssemblyName,
-        LastReload = plugin.LastReload
+        LastReload = plugin.LastReload,
+        Exception = plugin.Exception
       });
     }
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/HeuristicLab.Services.WebApp-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/HeuristicLab.Services.WebApp-3.3.csproj	(revision 12522)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/HeuristicLab.Services.WebApp-3.3.csproj	(revision 12523)
@@ -178,4 +178,5 @@
       <CopyToOutputDirectory>Always</CopyToOutputDirectory>
     </Content>
+    <Content Include="WebApp\plugins\plugins\pluginsExceptionCtrl.js" />
     <Content Include="WebApp\plugins\plugins\plugins.js">
       <CopyToOutputDirectory>Always</CopyToOutputDirectory>
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/Plugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/Plugin.cs	(revision 12522)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/Plugin.cs	(revision 12523)
@@ -34,4 +34,5 @@
     public string Directory { get; set; }
     public string AssemblyName { get; set; }
+    public string Exception { get; set; }
     public DateTime? LastReload { get; set; }
 
@@ -66,4 +67,5 @@
     public void ReloadControllers() {
       AssemblyName = null;
+      Exception = null;
       Controllers.Clear();
       LastReload = DateTime.Now;
@@ -76,4 +78,5 @@
           return;
         var assemblyPath = assemblies.First();
+        AssemblyName = Path.GetFileName(assemblyPath);
         var assembly = Assembly.Load(File.ReadAllBytes(assemblyPath));
         var assemblyTypes = assembly.GetTypes();
@@ -83,8 +86,7 @@
           Controllers.Add(controllerName, new HttpControllerDescriptor(configuration, controllerName, apiController));
         }
-        AssemblyName = Path.GetFileName(assemblyPath);
       }
-      catch (Exception) {
-        AssemblyName = "Error loading assembly";
+      catch (Exception e) {
+        Exception = e.ToString();
         Controllers.Clear();
       }
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/plugins/plugins.cshtml
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/plugins/plugins.cshtml	(revision 12522)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/plugins/plugins.cshtml	(revision 12523)
@@ -1,3 +1,12 @@
 ﻿<div class="default-view-container">
+    <script type="text/ng-template" id="pluginsExceptionDialog">
+        <div class="modal-header">
+            <button type="button" ng-click="close()" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
+            <h4 class="modal-title">Plugin {{pluginName}}</h4>
+        </div>
+        <div class="modal-body">
+            {{exception}}
+        </div>
+    </script>
     <div class="row">
         <div class="col-lg-12">
@@ -14,4 +23,5 @@
                                 <th>Assembly</th>
                                 <th>Last reload</th>
+                                <th>Status</th>
                                 <th></th>
                             </tr>
@@ -22,4 +32,9 @@
                             <td>{{plugin.AssemblyName}}</td>
                             <td>{{plugin.LastReload}}</td>
+                            <td>
+                                <span ng-hide="plugin.Exception" class="glyphicon glyphicon glyphicon-ok" style="color: green"></span>
+                                <span ng-show="plugin.Exception" class="glyphicon glyphicon glyphicon-remove" style="color: darkred"
+                                      ng-click="open(plugin.Name, plugin.Exception)"></span>
+                            </td>
                             <td>
                                 <a ng-href="" data-ng-click="reloadPlugin(plugin.Name)">Reload</a>
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/plugins/plugins.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/plugins/plugins.js	(revision 12522)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/plugins/plugins.js	(revision 12523)
@@ -5,5 +5,6 @@
     plugin.files = [
         'pluginsService.js',
-        'pluginsCtrl.js'
+        'pluginsCtrl.js',
+        'pluginsExceptionCtrl.js'
     ];
     plugin.view = 'plugins.cshtml';
Index: /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/plugins/pluginsCtrl.js
===================================================================
--- /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/plugins/pluginsCtrl.js	(revision 12522)
+++ /trunk/sources/HeuristicLab.Services.WebApp/3.3/WebApp/plugins/plugins/pluginsCtrl.js	(revision 12523)
@@ -2,5 +2,5 @@
     var module = appPluginsPlugin.getAngularModule();
     module.controller('app.plugins.ctrl',
-        ['$scope', 'app.plugins.service', function ($scope, pluginService) {
+        ['$scope', '$modal', 'app.plugins.service', function ($scope, $modal, pluginService) {
             var getPlugins = function () {
                 pluginService.getPlugins({}, function (plugins) {
@@ -22,6 +22,24 @@
 
             $scope.reloadPlugin = function (name) {
-                pluginService.reloadPlugin({ name: name }, function() {
+                pluginService.reloadPlugin({ name: name }, function () {
                     getPlugins();
+                });
+            };
+
+            $scope.open = function (pluginName, exception) {
+                $scope.pluginName = pluginName;
+                $scope.exception = exception;
+                $modal.open({
+                    animation: true,
+                    templateUrl: 'pluginsExceptionDialog',
+                    controller: 'app.plugins.pluginsExceptionCtrl',
+                    resolve: {
+                        pluginName: function () {
+                            return $scope.pluginName;
+                        },
+                        exception: function () {
+                            return $scope.exception;
+                        }
+                    }
                 });
             };