Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/AxisType.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/AxisType.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/AxisType.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Chart.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Chart.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Chart.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/ChartControl.Designer.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/ChartControl.Designer.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/ChartControl.Designer.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/ChartControl.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/ChartControl.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/ChartControl.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/ChartMode.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/ChartMode.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/ChartMode.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/ClassDiagram.cd
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/ClassDiagram.cd	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/ClassDiagram.cd	(revision 12535)
@@ -1,154 +1,154 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
 <ClassDiagram MajorVersion="1" MinorVersion="1" MembersFormat="FullSignature">
-  <Font Name="Tahoma" Size="8.25" />
-  <Class Name="HeuristicLab.Charting.Chart" Collapsed="true" BaseTypeListCollapsed="true">
-    <Position X="36.75" Y="0.5" Width="1.5" />
+  <Class Name="HeuristicLab.Visualization.Chart" Collapsed="true" BaseTypeListCollapsed="true">
+    <Position X="34.5" Y="0.5" Width="1.5" />
     <TypeIdentifier>
+      <HashCode>IAQAhGIABIACwAKAFAIAAAAiEAMBAgCEABgYARGAAAA=</HashCode>
       <FileName>Chart.cs</FileName>
-      <HashCode>IAQAhGIABIACwAKAFAAAAAAiEAMBAgCEABgYARGAAAA=</HashCode>
     </TypeIdentifier>
     <Lollipop Position="0.2" Collapsed="true" />
   </Class>
-  <Class Name="HeuristicLab.Charting.ChartControl" Collapsed="true">
+  <Class Name="HeuristicLab.Visualization.ChartControl" Collapsed="true">
     <Position X="38.5" Y="0.5" Width="1.5" />
     <TypeIdentifier>
+      <HashCode>BgrgCIQBECBgogCCDAiACgBmEKAAAgAEATCAAACAAmI=</HashCode>
       <FileName>ChartControl.cs</FileName>
-      <HashCode>AgLgCIQBECBAogCCDCCACgBuEKAAAgAEASAAAACAAiA=</HashCode>
     </TypeIdentifier>
   </Class>
-  <Class Name="HeuristicLab.Charting.Ellipse">
+  <Class Name="HeuristicLab.Visualization.Ellipse">
     <Position X="6.5" Y="14.5" Width="5.25" />
     <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
       <FileName>Primitives\Ellipse.cs</FileName>
-      <HashCode>AAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
     </TypeIdentifier>
   </Class>
-  <Class Name="HeuristicLab.Charting.FixedSizeCircle">
+  <Class Name="HeuristicLab.Visualization.FixedSizeCircle">
     <Position X="25" Y="13.75" Width="5" />
     <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
       <FileName>Primitives\FixedSizeCircle.cs</FileName>
-      <HashCode>AAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</HashCode>
     </TypeIdentifier>
   </Class>
-  <Class Name="HeuristicLab.Charting.FixedSizePrimitiveBase">
+  <Class Name="HeuristicLab.Visualization.FixedSizePrimitiveBase">
     <Position X="27.75" Y="9.5" Width="5.25" />
     <TypeIdentifier>
+      <HashCode>AAAAABAAAIAAgAAAAAAAAAAAAIAAAgAAAAAAAAAAABA=</HashCode>
       <FileName>Primitives\FixedSizePrimitiveBase.cs</FileName>
-      <HashCode>AAAAABAAAIAAgAAAAAAAAAAAAIAAAgAAAAAAAAAAABA=</HashCode>
     </TypeIdentifier>
   </Class>
-  <Class Name="HeuristicLab.Charting.FixedSizeRectangle">
+  <Class Name="HeuristicLab.Visualization.FixedSizeRectangle">
     <Position X="30.75" Y="13.75" Width="5" />
     <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</HashCode>
       <FileName>Primitives\FixedSizeRectangle.cs</FileName>
-      <HashCode>AAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=</HashCode>
     </TypeIdentifier>
   </Class>
-  <Class Name="HeuristicLab.Charting.Group">
+  <Class Name="HeuristicLab.Visualization.Group">
     <Position X="2" Y="9.5" Width="3.75" />
     <TypeIdentifier>
+      <HashCode>AAIAAAAAAIAABgAAAAIABRACAAIACEAAgAIQAABWABo=</HashCode>
       <FileName>Primitives\Group.cs</FileName>
-      <HashCode>AAIAAAAAAIAABgAAAAAABBACAAIACEAAgAIQAABWABo=</HashCode>
     </TypeIdentifier>
     <Lollipop Position="0.2" />
   </Class>
-  <Class Name="HeuristicLab.Charting.Line">
+  <Class Name="HeuristicLab.Visualization.Line">
     <Position X="19.25" Y="14.75" Width="4.25" />
     <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
       <FileName>Primitives\Line.cs</FileName>
-      <HashCode>AAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
     </TypeIdentifier>
   </Class>
-  <Class Name="HeuristicLab.Charting.LinearPrimitiveBase">
+  <Class Name="HeuristicLab.Visualization.LinearPrimitiveBase">
     <Position X="18.5" Y="9.5" Width="5.75" />
     <TypeIdentifier>
+      <HashCode>AAIAEAAAAKAEgAIAAAAAAABAAACAAgAAAAAQAAgAABA=</HashCode>
       <FileName>Primitives\LinearPrimitiveBase.cs</FileName>
-      <HashCode>AAIAEAAAAKAEggIAAAAAAABAAACAAgAAAAAQAAAAABA=</HashCode>
     </TypeIdentifier>
   </Class>
-  <Class Name="HeuristicLab.Charting.PrimitiveBase">
+  <Class Name="HeuristicLab.Visualization.PrimitiveBase">
     <Position X="16.5" Y="0.5" Width="5" />
     <TypeIdentifier>
+      <HashCode>AAQADEIAAIAiiiJAAAAAABAAEAIASgAAAAoYAAmCARI=</HashCode>
       <FileName>Primitives\PrimitiveBase.cs</FileName>
-      <HashCode>AAQADEIAAIAiiiJAAAAAABAAEAIASgAAAAoYAAGCARI=</HashCode>
     </TypeIdentifier>
     <Lollipop Position="0.2" />
   </Class>
-  <Class Name="HeuristicLab.Charting.Rectangle">
+  <Class Name="HeuristicLab.Visualization.Rectangle">
     <Position X="12.5" Y="14.5" Width="5.25" />
     <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
       <FileName>Primitives\Rectangle.cs</FileName>
-      <HashCode>AAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAAAABA=</HashCode>
     </TypeIdentifier>
   </Class>
-  <Class Name="HeuristicLab.Charting.RectangularPrimitiveBase">
+  <Class Name="HeuristicLab.Visualization.RectangularPrimitiveBase">
     <Position X="9" Y="9.5" Width="6.25" />
     <TypeIdentifier>
+      <HashCode>AAABECAABIAAggKAAAAAAAAAAAAAAgAAAAAQCQgCAJA=</HashCode>
       <FileName>Primitives\RectangularPrimitiveBase.cs</FileName>
-      <HashCode>AAAAECAABIAAggKAAAAAAAAAAAAAAgAAAAAQAQAAABA=</HashCode>
     </TypeIdentifier>
   </Class>
-  <Class Name="HeuristicLab.Charting.SelectionRectangle">
+  <Class Name="HeuristicLab.Visualization.SelectionRectangle">
     <Position X="31.25" Y="16.25" Width="4" />
     <TypeIdentifier>
+      <HashCode>AAAAAAAAAAAAAAEAAIAAAAAAAAAAAAAAAAAQAAAAAAA=</HashCode>
       <FileName>Primitives\SelectionRectangle.cs</FileName>
-      <HashCode>AAAAAAAAAAAAAAEAAIAAAAAAAAAAAAAAAAAQAAAAAAA=</HashCode>
     </TypeIdentifier>
   </Class>
-  <Class Name="HeuristicLab.Charting.PropertiesDialog" Collapsed="true">
+  <Class Name="HeuristicLab.Visualization.PropertiesDialog" Collapsed="true">
     <Position X="36.75" Y="1.5" Width="1.5" />
     <TypeIdentifier>
+      <HashCode>AAAAAAAAACAAAAAAAACAAAACGAAAEAAAAAAAAAAAAAA=</HashCode>
       <FileName>PropertiesDialog.cs</FileName>
-      <HashCode>AAAAAAAAACAAAAAAAACAAAACGAAAEAAAAAAAAAAAAAA=</HashCode>
     </TypeIdentifier>
   </Class>
-  <Struct Name="HeuristicLab.Charting.Offset" Collapsed="true">
-    <Position X="36.75" Y="2.75" Width="1.5" />
+  <Struct Name="HeuristicLab.Visualization.Offset">
+    <Position X="45.5" Y="1.5" Width="1.5" />
     <TypeIdentifier>
+      <HashCode>AAJAAAAAAAAAQAAEwgMCAABAAACYAIgAAAAAAAAAAiA=</HashCode>
       <FileName>Structs\Offset.cs</FileName>
-      <HashCode>AAJABAAAAAAAQAAEwAMCAABAAAAYAIgAAAAAAAAAAiA=</HashCode>
     </TypeIdentifier>
   </Struct>
-  <Struct Name="HeuristicLab.Charting.PointD" Collapsed="true">
-    <Position X="38.5" Y="2.75" Width="1.5" />
+  <Struct Name="HeuristicLab.Visualization.PointD">
+    <Position X="43.75" Y="1.5" Width="1.5" />
     <TypeIdentifier>
+      <HashCode>AAJAAAAIAAAAAAAEwBMCAAAAAADAAIAAAAAAAAAAYiA=</HashCode>
       <FileName>Structs\PointD.cs</FileName>
-      <HashCode>AAJABAAAAAAAAgAEwBMCAAAAAAAAAIAAAAAAAAAAYiA=</HashCode>
     </TypeIdentifier>
   </Struct>
-  <Struct Name="HeuristicLab.Charting.SizeD" Collapsed="true">
-    <Position X="36.75" Y="3.75" Width="1.5" />
+  <Struct Name="HeuristicLab.Visualization.SizeD" Collapsed="true">
+    <Position X="41.25" Y="1.5" Width="2.25" />
     <TypeIdentifier>
+      <HashCode>AAJAAAAIBAAAAEAEwgMCAEAAAAAAAIAAAhAAAAAAAiA=</HashCode>
       <FileName>Structs\SizeD.cs</FileName>
-      <HashCode>AAJABAAABAAAAkAEwAMCAEAAAAAAAIAAAgAAAAAAAiA=</HashCode>
     </TypeIdentifier>
   </Struct>
-  <Interface Name="HeuristicLab.Charting.IChart" Collapsed="true">
-    <Position X="36.75" Y="5" Width="1.5" />
+  <Interface Name="HeuristicLab.Visualization.IChart">
+    <Position X="39.5" Y="4.25" Width="1.5" />
     <TypeIdentifier>
+      <HashCode>IAQABEIAAIAAgAKAEAIAAAAiEAIBAgCEABAYAQCAAAA=</HashCode>
       <FileName>Interfaces\IChart.cs</FileName>
-      <HashCode>IAQABEIAAIAAgAKAEAAAAAAiEAIBAgCEABAYAQCAAAA=</HashCode>
     </TypeIdentifier>
   </Interface>
-  <Interface Name="HeuristicLab.Charting.IGroup">
+  <Interface Name="HeuristicLab.Visualization.IGroup">
     <Position X="1.25" Y="24.5" Width="3.75" />
     <TypeIdentifier>
+      <HashCode>AAIAAAAAAAAABAAAAAIABBACAAAACEAAAAIAAABWAAA=</HashCode>
       <FileName>Interfaces\IGroup.cs</FileName>
-      <HashCode>AAIAAAAAAAAABAAAAAAABBACAAAACEAAAAIAAABWAAA=</HashCode>
     </TypeIdentifier>
   </Interface>
-  <Interface Name="HeuristicLab.Charting.IPrimitive">
+  <Interface Name="HeuristicLab.Visualization.IPrimitive">
     <Position X="0.5" Y="17.5" Width="5" />
     <TypeIdentifier>
+      <HashCode>AAQABEIAAIAgiiIAAAAAABAAEAIACAAAAAIYAAiCABI=</HashCode>
       <FileName>Interfaces\IPrimitive.cs</FileName>
-      <HashCode>AAQABEIAAIAgiiIAAAAAABAAEAIACAAAAAIYAACCABI=</HashCode>
     </TypeIdentifier>
   </Interface>
-  <Enum Name="HeuristicLab.Charting.ChartMode" Collapsed="true">
+  <Enum Name="HeuristicLab.Visualization.ChartMode" Collapsed="true">
     <Position X="36.75" Y="6" Width="1.5" />
     <TypeIdentifier>
+      <HashCode>AAAAAAAAAIAAAAAAEAAAAAAAAAAAAAAAAAAAQAAAAAA=</HashCode>
       <FileName>ChartMode.cs</FileName>
-      <HashCode>AAAAAAAAAIAAAAAAEAAAAAAAAAAAAAAAAAAAQAAAAAA=</HashCode>
     </TypeIdentifier>
   </Enum>
+  <Font Name="Tahoma" Size="8.25" />
 </ClassDiagram>
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Interfaces/IChart.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Interfaces/IChart.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Interfaces/IChart.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Interfaces/IGroup.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Interfaces/IGroup.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Interfaces/IGroup.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Interfaces/IPrimitive.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Interfaces/IPrimitive.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Interfaces/IPrimitive.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Plugin.cs.frame
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Plugin.cs.frame	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Plugin.cs.frame	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/Axis.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/Axis.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/Axis.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/AxisPrimitiveBase.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/AxisPrimitiveBase.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/AxisPrimitiveBase.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/Ellipse.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/Ellipse.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/Ellipse.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/FixedSizeCircle.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/FixedSizeCircle.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/FixedSizeCircle.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/FixedSizePrimitiveBase.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/FixedSizePrimitiveBase.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/FixedSizePrimitiveBase.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/FixedSizeRectangle.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/FixedSizeRectangle.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/FixedSizeRectangle.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/Group.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/Group.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/Group.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/Line.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/Line.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/Line.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/LinearPrimitiveBase.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/LinearPrimitiveBase.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/LinearPrimitiveBase.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/PrimitiveBase.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/PrimitiveBase.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/PrimitiveBase.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/Rectangle.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/Rectangle.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/Rectangle.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/RectangularPrimitiveBase.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/RectangularPrimitiveBase.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/RectangularPrimitiveBase.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/SelectionRectangle.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/SelectionRectangle.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Primitives/SelectionRectangle.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Properties/AssemblyInfo.frame
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Properties/AssemblyInfo.frame	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Properties/AssemblyInfo.frame	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,10 +27,10 @@
 // set of attributes. Change these attribute values to modify the information
 // associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.Drawing")]
-[assembly: AssemblyDescription("Core classes of the HeuristicLab drawing framework")]
+[assembly: AssemblyTitle("HeuristicLab.Visualization")]
+[assembly: AssemblyDescription("Core classes of the HeuristicLab visualization framework")]
 [assembly: AssemblyConfiguration("")]
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2010 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2015 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/PropertiesDialog.Designer.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/PropertiesDialog.Designer.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/PropertiesDialog.Designer.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/PropertiesDialog.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/PropertiesDialog.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/PropertiesDialog.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Structs/Offset.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Structs/Offset.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Structs/Offset.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Structs/PointD.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Structs/PointD.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Structs/PointD.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Structs/SizeD.cs
===================================================================
--- /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Structs/SizeD.cs	(revision 12534)
+++ /branches/HeuristicLab.Visualization/HeuristicLab.Visualization/3.3/Structs/SizeD.cs	(revision 12535)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.